=== debian/changelog ===
fwknop (1.9.12-2) unstable; urgency=low

  * Refreshed maintainer email address:
    + d.control: Updated email address and removed DM-Upload-Allowed flag.
    + d.copyright: Refreshed email address.
  * initscript:
    + Fixed the Provide target in fwknop-server initscript:
      http://lintian.debian.org/tags/init.d-script-does-not-provide-itself.html
    + Added dependency against lsb-base (>= 3.0-6) to ensure the
      /lib/lsb/init-functions can be sourced through the initscript.
  * Added Spanish debconf translation. (Closes: #582870)
  * Updated Depends field in d.control to use default-mta rather than exim4.
  * Switched to dpkg-source 3.0 (quilt) format.
  * Added t_upstream_spelling.diff patch to fix spelling erros.
  * Bumped up Standards-Version to 3.9.0 (no changes).
  * Refreshed d.copyright to follow the latest DEP5.

 -- Franck Joncourt <franck@debian.org>  Wed, 07 Jul 2010 21:50:16 +0200

fwknop (1.9.12-1) unstable; urgency=low

  * New Upstream Version
  * Removed [code] tags from README.Debian. All code blocks are now indented.
  * Bumped up Standards-Version to 3.8.3 (no change).
  * Updated copyright years in d.changelog.
  * Updated comments in:
      + d.fwknop-server.config
      + d.fwknop-server.default
      + d.README.Debian
  * Included czech debconf translation. (Closes: #535984)
  * d.fwknop-server.config does not pass -e to the shell on the #! line anymore,
    but set it in the body of the script with set -e (Debian Policy 10.4).

 -- Franck Joncourt <franck.mail@dthconnex.com>  Wed, 09 Sep 2009 21:08:42 +0200

fwknop (1.9.11-1) unstable; urgency=low

  * New Upstream Version.
  * Set default value for variables in /etc/default/fwknop-server
    (Closes: #521677)
  * As /var/run can be a temporary filesystem, this one should be created
    when running the initscript.
    http://lintian.debian.org/tags/dir-or-file-in-var-run.html
  * Bumped up Standards-Version to 3.8.1.
    + d.rules: Handle the noopt option through the DEB_BUILD_OPTIONS variable.

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sun, 17 May 2009 11:31:20 +0200

fwknop (1.9.10-2) unstable; urgency=low

   * Added quilt framework along with README.source
   * Added patch to fwknopd in order to bypass #508432.
     Thanks to Martin Ferrari.

 -- Franck Joncourt <franck.mail@dthconnex.com>  Mon, 23 Feb 2009 22:04:56 +0100

fwknop (1.9.10-1) unstable; urgency=low

  * New Upstream Version
  * The sendmail command is now handled by knopwatchd. (Closes: #506819)
  * Fixed "Setting ALERTING_METHODS to noemail reports an error".
    (Closes: #506815)

 -- Franck Joncourt <franck.mail@dthconnex.com>  Wed, 14 Jan 2009 21:11:17 +0100

fwknop (1.9.9-1) unstable; urgency=low

  * New Upstream Version
  * Fixed typo in fwknop-server init-script. (Closes: #504665)
  * Added DAEMON_ARGS variable to allow users to pass specifics options to
    the daemon. (Closes: #504666)
  * Adjusted priority from optional to extra.
    (Fwknop has some dependencies on packages whose priority is extra)
  * Fixed dependency on the mail command. (Closes: #504670)

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sat, 15 Nov 2008 14:44:08 +0100

fwknop (1.9.8-1) unstable; urgency=low

  * Initial release (Closes: #406627) 
  * Includes fr debconf translation (Closes: #500655)

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sun, 02 Oct 2008 19:32:55 +0200
