=== debian/control ===
Source: fwknop
Section: admin
Priority: extra
Build-Depends: debhelper (>= 7), po-debconf
Maintainer: Franck Joncourt <franck@debian.org>
Standards-Version: 3.9.0
Vcs-git: git://git.debian.org/git/collab-maint/fwknop.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fwknop.git;a=summary
Homepage: http://www.cipherdyne.com/fwknop/

Package: fwknop-server
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, iptables,
 libunix-syslog-perl, libnet-rawip-perl, libnet-pcap-perl (>= 0.04-3),
 libgnupg-interface-perl, libdigest-sha-perl, libcrypt-rijndael-perl,
 libcrypt-cbc-perl, libterm-readkey-perl, libnetwork-ipv4addr-perl,
 libiptables-parse-perl, libiptables-chainmgr-perl,
 default-mta | mail-transport-agent, lsb-base (>= 3.0-6)
Description: FireWall KNock OPerator server side
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.

Package: fwknop-client
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libnet-rawip-perl,
 libgnupg-interface-perl, libdigest-sha-perl, libcrypt-rijndael-perl,
 libcrypt-cbc-perl, libterm-readkey-perl, libnet-ping-external-perl
Description: FireWall KNock OPerator client side
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 This is the client program responsible for accepting password input
 from the user, constructing SPA packets that conform to the fwknop
 packet format, and encrypting packet data.
