=== debian/rules ===
#!/usr/bin/make -f
  
INSTALL			= install
INSTALL_PROGRAM		= $(INSTALL)
INSTALL_DATA		= $(INSTALL) -m 644
INSTALL_DATA_P		= $(INSTALL) -m 600

SERVER_PROGRAM		= fwknop-server
SERVER_DESTDIR		= $(CURDIR)/debian/$(SERVER_PROGRAM)/
SERVER_DESTDIR_SBIN	= $(CURDIR)/debian/$(SERVER_PROGRAM)/usr/sbin/
SERVER_DESTDIR_BIN	= $(CURDIR)/debian/$(SERVER_PROGRAM)/usr/bin/
SERVER_DESTDIR_ETC	= $(CURDIR)/debian/$(SERVER_PROGRAM)/etc/fwknop/

CLIENT_PROGRAM		= fwknop-client
CLIENT_DESTDIR		= $(CURDIR)/debian/$(CLIENT_PROGRAM)/
CLIENT_DESTDIR_BIN	= $(CURDIR)/debian/$(CLIENT_PROGRAM)/usr/bin/

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

clean:
	dh_testdir
	dh_testroot
	[ -f Makefile ] && $(MAKE) clean
	dh_clean build-arch-stamp install-arch-stamp install-indep-stamp

build:


build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) all OPTS="$(CFLAGS)"
	touch $@

install-indep: install-indep-stamp
install-indep-stamp:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	
	$(INSTALL_PROGRAM) fwknop $(CLIENT_DESTDIR_BIN)

	touch $@

install-arch: install-arch-stamp
install-arch-stamp:
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	
	$(INSTALL_PROGRAM) knopmd $(SERVER_DESTDIR_SBIN)
	$(INSTALL_PROGRAM) knopwatchd $(SERVER_DESTDIR_SBIN)
	$(INSTALL_PROGRAM) fwknopd $(SERVER_DESTDIR_SBIN)
	$(INSTALL_PROGRAM) knoptm $(SERVER_DESTDIR_SBIN)
	$(INSTALL_DATA) fwknop.conf $(SERVER_DESTDIR_ETC)
	$(INSTALL_DATA) pf.os $(SERVER_DESTDIR_ETC)
	$(INSTALL_DATA_P) access.conf $(SERVER_DESTDIR_ETC)
	$(INSTALL_PROGRAM) fwknop_serv $(SERVER_DESTDIR_SBIN)

	touch $@

binary: binary-arch binary-indep
	
binary-indep: install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-common:
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_lintian
	dh_installinit
	dh_strip
	dh_compress
	dh_fixperms --exclude access.conf
	dh_installdeb
	dh_shlibdeps
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean build build-arch binary-indep binary-arch binary-common binary
