=== debian/watch ===
version=3

http://www.cipherdyne.com/fwknop/download/fwknop-nodeps-(.*)\.tar\.gz debian uupdate
