=== debian/changelog ===
fwknop (2.0.0rc2-2+deb7u2) stable-proposed-updates; urgency=low

  * Fixed use of uninitialized variable that leads fwknop to randomly fail
    to send a SPA packet. New patch : 717754.patch (Closes: #717754)

 -- Franck Joncourt <franck@debian.org>  Sat, 27 Jul 2013 22:02:32 +0200

fwknop (2.0.0rc2-2+deb7u1) testing-proposed-updates; urgency=high

  * Patches to fix CVE (Closes: #688151):
    - CVE-2012-4434
    - CVE-2012-4435
    - CVE-2012-4436

 -- Franck Joncourt <franck@debian.org>  Sun, 07 Oct 2012 20:50:09 +0200

fwknop (2.0.0rc2-2) unstable; urgency=low

  * Acknowledged NMU : 1.9.12-3.1
  * Set Architecture as linux-any (Closes: #647654)
  * Fixed mispelling dependency on the default-mta in d.control.
    (Closes: #645024)
  * The brand new C implementation :
    + does not use Perl anymore. (Closes: #674115)
    + does not use the whatismyip url anymore ; it is replace by the
      cipherdyne url at the time. (Closes: #645994)
  * Bumped up Standards-Version to 3.9.3:
    + Refreshed copyright holders and updated d.copyright to comply with the
      1.0 machine-readable copyright file specification.
  * Updated init script to use log_daemon_msg and log_end_msg function from
    the lsb library.
  * Avoid debconf error if not available. (Closes: #673773)

 -- Franck Joncourt <franck@debian.org>  Sun, 24 Jun 2012 20:57:59 +0200

fwknop (2.0.0rc2-1) experimental; urgency=low

  * New upstream release.
    + Drop the Perl implementation which is not shipped anymore.
    + Renamed the C implementation from fwknop-c-{client/server} to
      fwknop-{client/server}.
    + Bumped shared library version up to 0.0.2.
      Refreshed libfko0-dev.links, libfko0.install and libfko0.links
      accordingly.
    + Updated d.rules to not exclude the fwknop-server package when stripping
      the symbols since we have renamed the C version in fwknop-server.
  * Removed Replaces/Conflicts/Provides dependencies for both the
    fwknop-client and fwknop-server in d.control for the old
    fwknop-c-{client/server}. This is not needed anymore.
  * Bumped up Standards-Version to 3.9.1 (no changes).
  * Set copyright and licence information in d.copyright:
    + Added patch licence.patch from upstream to improve copyright statements
      and licence definitions.
  * Added missing debconf support for fwknop-server. Both the
    fwknop-server.postinst and the fwknop-server.postrm are added.
  * Added fwknop-server.preinst to remove old files from the Perl
    implementation (Fwknop 1.9.x).

 -- Franck Joncourt <franck@debian.org>  Sun, 14 Nov 2010 17:12:20 +0100

fwknop (2.0.0rc2~svn281-1) unstable; urgency=low

  * Merge new upstream release
  * Fixed access.conf permission to 600 rather than the default 644 value:
    + Added lintian overrides.
  * Added debian watch.
  * Fixed source url in d.copyright to point to the new place where fwknop is
    stored.
  * Fixed typo in fwknop-c-server.default. The override option is case
    sensitive ans should be written in lower case.

 -- Franck Joncourt <franck@debian.org>  Sat, 14 Aug 2010 13:29:25 +0200

fwknop (2.0.0rc1~svn271-1) unstable; urgency=low

  *  New upstream release.

 -- Franck Joncourt <franck@debian.org>  Sun, 25 Jul 2010 20:55:10 +0200

fwknop (1.9.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #630373
    - Dutch; (Jeroen Schot).  Closes: #651829
    - Polish. Closes: #659370

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Feb 2012 07:22:24 +0100
