## fwknop 2.0.3

=== debian/changelog ===
fwknop (2.0.3-2ubuntu1) raring; urgency=low

  * Add upstart support. (LP: #1051958)

 -- Christian Kampka <chris@emerge-life.de>  Mon, 17 Sep 2012 15:11:15 +0200

fwknop (2.0.3-2) unstable; urgency=low

  * Updated package description in d.control.
  * Removed the overwrite_dh_auto_build target in d.rules which set the CFLAGS
    to make but did not set the LDFLAGS accordingly.
    Removed the hardening stanzas in d.rules which become useless.
    The debhelpers scripts honour the DEB_BUILD_OPTIONS (noopt, nocheck...) by
    themselves.
    (Closes: #689064)
  * Added override_dh_auto_clean target in d.rules to remove the m4 directory
    during the clean step.

 -- Franck Joncourt <franck@debian.org>  Fri, 09 Nov 2012 15:12:58 +0100

fwknop (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3
    * Fixed CVE 2012-4434, 4435, 4436 (Closes: #688151)
  * Removed overwrite on dh_install in d.rules to use the previous
    configuration files. Upstream fixed the previous behaviour.

 -- Franck Joncourt <franck@debian.org>  Fri, 21 Sep 2012 22:31:08 +0200

fwknop (2.0.2-1) unstable; urgency=low

  * Imported Upstream version 2.0.2
  * Removed previous patches applied upstream.
  * Set debian compatibility to 9 in d.compat.
  * Fixed libfko0.symbols file which contains bad symbols from one of the
    first rc releases. The following functions have been removed:
    - _rijndael_decrypt
    - _rijndael_encrypt
    - append_b64
    - digest_to_hex
    - get_random_data
    - gpg_decrypt
    - gpg_encrypt
    - rij_salt_and_iv
    - rijndael_init
  * Added previously removed fileds in d.control (Vcs-git/Vcs-Browser)
    (Closes: #682057)
  * Created missing m4 directory before configuring the package.
  * Use of the hardening flags:
    - Added BD on dpkg-dev (>= 1.16.1~) and on debhelper (>= 9) in d.control.
    - Set debian compatibility to 9 in d.compat.
    - Set hardening flags through the DEB_BUILD_MAINT_OPTIONS variable,
      exported it and included buildflags.mk in d.rules.
    - Do not overwrite CFLAGS anymore, we now use CFLAGS += in d.rules.
  * Enable installation of multiarch binaries :
    - Added Pre-Depends: ${misc:Pre-Depends} for the libfko package in
      d.control.
    - Replaced occurrences of /usr/lib/ in debian/*.install with /usr/lib/*/.
  * Fixed d.rules to handle the new generated configuration files 
    [access|fwknopd].conf.inst. We revert upstream changes with an overwrite
    on dh_install.
  * Updating fwknop-server.postinst to disable easy setup.

 -- Franck Joncourt <franck@debian.org>  Sun, 26 Aug 2012 22:45:00 +0200

fwknop (2.0.0rc2-2) sid; urgency=low

  * Acknowledged NMU : 1.9.12-3.1
  * Set Architecture as linux-any (Closes: #647654)
  * Fixed mispelling dependency on the default-mta in d.control.
    (Closes: #645024)
  * The brand new C implementation :
    + does not use Perl anymore. (Closes: #674115)
    + does not use the whatismyip url anymore ; it is replace by the
      cipherdyne url at the time. (Closes: #645994)
  * Bumped up Standards-Version to 3.9.3:
    + Refreshed copyright holders and updated d.copyright to comply with the
      1.0 machine-readable copyright file specification.
  * Updated init script to use log_daemon_msg and log_end_msg function from
    the lsb library.
  * Avoid debconf error if not available. (Closes: #673773)

 -- Franck Joncourt <franck@debian.org>  Sun, 24 Jun 2012 20:57:59 +0200
