=== debian/control ===
Source: fwknop
Section: admin
Priority: extra
Build-Depends: debhelper (>= 9), automake, libtool, libgpgme11-dev,
 texinfo, libpcap0.8-dev, po-debconf, libgdbm-dev, iptables,
 dpkg-dev (>= 1.16.1~)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Franck Joncourt <franck@debian.org>
Standards-Version: 3.9.3
Vcs-git: git://git.debian.org/git/collab-maint/fwknop.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fwknop.git
Homepage: http://www.cipherdyne.com/fwknop/

Package: libfko0-dev
Architecture: linux-any
Section: libdevel
Provides: libfko-dev
Conflicts: libfko-dev
Depends: ${shlibs:Depends}, libfko0 (= ${binary:Version}), ${misc:Depends},
 dpkg (>= 1.15.4) | install-info
Description: development library and header files for libfko
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.
 .
 This package contains the development library and its headers.

Package: libfko0-dbg
Architecture: linux-any
Section: debug
Depends: libfko0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbol for the libfko library
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.
 .
 This package provides the debugging symbols for the libfko library.

Package: libfko0
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system interface for user-level fko management
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.
 .
 This package provides the shared library.

Package: fwknop-server
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko0 (= ${binary:Version}),
 default-mta | mail-transport-agent, iptables, lsb-base (>= 3.0-6)
Description: FireWall KNock OPerator server side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 The authorization server passively listens for authorization packets via
 libcap, thus preventing any connections from being processed on the
 traditional port. Access to a protected service is only granted after a
 valid encrypted and non-replayed packet is detected.

Package: fwknop-client
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfko0 (= ${binary:Version})
Description: FireWall KNock OPerator client side - C version
 The FireWall KNock OPerator implements an authorization scheme called
 Single Packet Authorization (SPA), based on Netfilter and libpcap.
 .
 Its main application is to protect services such as OpenSSH with
 an additional layer of security in order to make the exploitation of
 vulnerabilities (both 0-day and unpatched code) much more difficult.
 .
 This is the client program responsible for accepting password input
 from the user, constructing SPA packets that conform to the fwknop
 packet format, and encrypting packet data.
