## fwknop 2.0.4

=== debian/changelog ===
fwknop (2.0.4-2) unstable; urgency=low

  * Fixed FTBS ./gpl-2.0.texi:20: raising the section level of @appendixsubsec
    which is too low (Closes: #708589):
    Added patch gpl-2.0.diff to substitute @appendixsubsec entries by
    @appendixsec.

 -- Franck Joncourt <franck@debian.org>  Sun, 19 May 2013 17:55:57 +0200

fwknop (2.0.4-1) unstable; urgency=low

  * Fixed bad permissions for the fwknopd.conf conf file (Closes: #689934)
    - d.rules: Set the permissions for the fwknopd.conf file to 600 and
      prevent dh_fixperms from adjusting them.
    - d.fwknop-server.lintian-overrides: Add an override entry to make sure
      lintian does not complain about the new permissions.
  * Added libfko-doc binary package:
    - d.libfko-doc.docs: Shipped html libfko manual.
    - d.libfko-doc.doc-base: Added doc-base entry for the manual.
    - d.rules: Built the html doc in the overwrite_dh_auto_build target.
  * Added libfko-perl binary package (Closes: #682028):
    - d.rules : Added overwrite_dh_auto_install target to install
      the Perl module.
    - d.control: added new entrey for the libfko-perl package.
  * Bumped up libfko soname because the ABI changed:
    - libfko0-* packages become libfko1-* package.
    - d.libfko.symbols: Updated list of symbols.
  * d.libfko1.links: Removed useless links.
  * Added libfko.so symlink for the dev package as noticed by lintian
    (dev-pkg-without-shlib-symlink).
    - Removed libfko1-dev.links file.
    - d.rules: Added new target overwrite_dh_link to link libfko.so.1.0.0
      to libfko.so.
  * Added upstart configuration file: fwknop-server.upstart

 -- Franck Joncourt <franck@debian.org>  Sun, 23 Dec 2012 17:57:55 +0100
