## fwknop 2.5.1

=== debian/changelog ===
fwknop (2.5.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Franck Joncourt <franck@debian.org>  Mon, 29 Jul 2013 19:12:59 +0200

fwknop (2.5.1-1) unstable; urgency=low

  * Imported Upstream version 2.5.1

 -- Franck Joncourt <franck@debian.org>  Sun, 28 Jul 2013 19:05:04 +0200

fwknop (2.5-1) unstable; urgency=low

  * Imported Upstream version 2.5
    - libfko breaks the old ABI. It is bumped from 1.0.0 up to 2.0.0
      old packages libfko1* are renamed as libfko2*.
      Updated d.rules to make reference to the new packages.
    - Patch gpl2.0.diff applied upstream: Removed it from the patches
      directory.
    - New python binding

  * The new upstream release add a m4 file to the m4 directory.
    d.rules: assume the m4 directory is created ; no need to remove it in the
    clean target and no need to create it in the configure target anymore.
  * Fixed vcs fields in d.control to use the canonical URI.
    (Caught by lintian).
  * Fixed documentation spelling error (s/GNU Public/GNU General Public/g)
    through a new patch 0001_fix-doc.patch.
  * Removed useless depdencies default-mta | mail-transport-agent on
    fwknop-server in d.rules.
  * Used CFLAGS, CPPFLAGS and LDFLAGS variables to enable the hardening flags
    to build the libfko-perl binding.
  * Bumped up Standards-Version to 3.9.4 - no changes.
  * Packaged the libfko python binding:
    - d.control: Set X-Python-Version to >= 2.7 and added BD on python-all-dev
                 Defined the brand new libfko-python binding.
    - d.rules: Used dh_python2 debhelper
               Added new instances to build and install libfko-python

 -- Franck Joncourt <franck@debian.org>  Tue, 23 Jul 2013 21:08:42 +0200
