=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: extra
 Build-Depends: debhelper (>= 9), automake, libtool, libgpgme11-dev,
  texinfo, libpcap0.8-dev, po-debconf, libgdbm-dev, iptables,
- dpkg-dev (>= 1.16.1~), chrpath
+ dpkg-dev (>= 1.16.1~), chrpath, python-all-dev
 Maintainer: Franck Joncourt <franck@debian.org>
-Standards-Version: 3.9.3
-Vcs-git: git://git.debian.org/git/collab-maint/fwknop.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fwknop.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/fwknop.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fwknop.git;a=summary
 Homepage: http://www.cipherdyne.com/fwknop/
+X-Python-Version: >= 2.7
 
-Package: libfko1-dev
+Package: libfko2-dev
 Architecture: linux-any
 Section: libdevel
 Provides: libfko-dev
 Conflicts: libfko-dev
 Suggests: libfko-doc
-Depends: ${shlibs:Depends}, libfko1 (= ${binary:Version}), ${misc:Depends},
+Depends: ${shlibs:Depends}, libfko2 (= ${binary:Version}), ${misc:Depends},
  dpkg (>= 1.15.4) | install-info
 Description: FireWall KNock OPerator - developpement library
  The FireWall KNock OPerator implements an authorization scheme called
@@ -33,10 +34,10 @@
  .
  This package provides the development library and its headers.
 
-Package: libfko1-dbg
+Package: libfko2-dbg
 Architecture: linux-any
 Section: debug
-Depends: libfko1 (= ${binary:Version}), ${misc:Depends}
+Depends: libfko2 (= ${binary:Version}), ${misc:Depends}
 Description: FireWall KNock OPerator - debugging symbols
  The FireWall KNock OPerator implements an authorization scheme called
  Single Packet Authorization (SPA), based on Netfilter and libpcap.
@@ -53,7 +54,7 @@
  This package provides the debugging symbols for the library as well as for
  the fwknop server and client programs (C version only).
 
-Package: libfko1
+Package: libfko2
 Section: libs
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -95,7 +96,7 @@
 Package: libfko-perl
 Section: perl
 Architecture: linux-any
-Depends: ${perl:Depends},  libfko1 (= ${binary:Version}), ${shlibs:Depends},
+Depends: ${perl:Depends},  libfko2 (= ${binary:Version}), ${shlibs:Depends},
  ${misc:Depends}
 Description: FireWall KNock OPerator - Perl module
  The FireWall KNock OPerator implements an authorization scheme called
@@ -114,8 +115,8 @@
 
 Package: fwknop-server
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfko1 (= ${binary:Version}),
- default-mta | mail-transport-agent, iptables, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfko2 (= ${binary:Version}),
+ iptables, lsb-base (>= 3.0-6)
 Description: FireWall KNock OPerator server side - C version
  The FireWall KNock OPerator implements an authorization scheme called
  Single Packet Authorization (SPA), based on Netfilter and libpcap.
@@ -131,7 +132,7 @@
 
 Package: fwknop-client
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfko1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfko2 (= ${binary:Version})
 Description: FireWall KNock OPerator client side - C version
  The FireWall KNock OPerator implements an authorization scheme called
  Single Packet Authorization (SPA), based on Netfilter and libpcap.
@@ -143,3 +144,23 @@
  This is the client program responsible for accepting password input
  from the user, constructing SPA packets that conform to the fwknop
  packet format, and encrypting packet data.
+
+Package: libfko-python
+Section: python
+Architecture: linux-any
+Depends: ${python:Depends}, ${misc:Depends}, libfko2 (= ${binary:Version}),
+ ${shlibs:Depends}
+Description: FireWall KNock OPerator - Python module
+ The FireWall KNock OPerator implements an authorization scheme called
+ Single Packet Authorization (SPA), based on Netfilter and libpcap.
+ .
+ Its main application is to protect services such as OpenSSH with
+ an additional layer of security in order to make the exploitation of
+ vulnerabilities (both 0-day and unpatched code) much more difficult.
+ .
+ The authorization server passively listens for authorization packets via
+ libcap, so there is no service listening for network connections on the
+ traditional port. Access to a protected service is only granted after a
+ valid encrypted and non-replayed packet is detected.
+ .
+ This package provides the FKO module as a Python interface.
